Interface SjmsEndpointBuilderFactory.SjmsBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SjmsEndpointBuilderFactory
public static interface SjmsEndpointBuilderFactory.SjmsBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default SjmsEndpointBuilderFactory.SjmsHeaderNameBuildersjms()Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API.default SjmsEndpointBuilderFactory.SjmsEndpointBuildersjms(String path)Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API.default SjmsEndpointBuilderFactory.SjmsEndpointBuildersjms(String componentName, String path)Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API.
-
-
-
Method Detail
-
sjms
default SjmsEndpointBuilderFactory.SjmsHeaderNameBuilder sjms()
Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API. Category: messaging Since: 2.11 Maven coordinates: org.apache.camel:camel-sjms- Returns:
- the dsl builder for the headers' name.
-
sjms
default SjmsEndpointBuilderFactory.SjmsEndpointBuilder sjms(String path)
Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API. Category: messaging Since: 2.11 Maven coordinates: org.apache.camel:camel-sjms Syntax:sjms:destinationType:destinationNamePath parameter: destinationType The kind of destination to use Default value: queue There are 2 enums and the value can be one of: queue, topic Path parameter: destinationName (required) DestinationName is a JMS queue or topic name. By default, the destinationName is interpreted as a queue name.- Parameters:
path- destinationType:destinationName- Returns:
- the dsl builder
-
sjms
default SjmsEndpointBuilderFactory.SjmsEndpointBuilder sjms(String componentName, String path)
Simple JMS (camel-sjms) Send and receive messages to/from a JMS Queue or Topic using plain JMS 1.x API. Category: messaging Since: 2.11 Maven coordinates: org.apache.camel:camel-sjms Syntax:sjms:destinationType:destinationNamePath parameter: destinationType The kind of destination to use Default value: queue There are 2 enums and the value can be one of: queue, topic Path parameter: destinationName (required) DestinationName is a JMS queue or topic name. By default, the destinationName is interpreted as a queue name.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- destinationType:destinationName- Returns:
- the dsl builder
-
-